3

This is driving me nuts for the past three hours. I simply want to install CMake and then install OpenCV 3.1, but I am getting an Unsupported protocol error (please see below).

I installed CMake 3.4.3. like this:

wget https://cmake.org/files/v3.4/cmake-3.4.3.tar.gz
tar xf cmake-3.4.3.tar.gz
cd cmake-3.4.3
./configure
make
sudo make install

Then ran this:

./bootstrap --prefix=/usr
make
sudo make install

It goes wrong when I run this command in the installation process for OpenCV:

cmake -D CMAKE_BUILD_TYPE=RELEASE -D CMAKE_INSTALL_PREFIX=/usr/local ..

This is the exact error I am getting:

CMake Warning at 3rdparty/ippicv/downloader.cmake:56 (message):
  ICV: Local copy of ICV package has invalid MD5 hash:
  d41d8cd98f00b204e9800998ecf8427e (expected:
  808b791a6eac9ed78d32a7666804320e)
Call Stack (most recent call first):
  3rdparty/ippicv/downloader.cmake:110 (_icv_downloader)
  cmake/OpenCVFindIPP.cmake:237 (include)
  cmake/OpenCVFindLibsPerf.cmake:12 (include)
  CMakeLists.txt:537 (include)


-- ICV: Downloading ippicv_linux_20151201.tgz...
CMake Error at 3rdparty/ippicv/downloader.cmake:73 (file):
  file DOWNLOAD HASH mismatch

    for file: [/home/ao/opt/opencv/3rdparty/ippicv/downloads/linux-808b791a6eac9ed78d32a7666804320e/ippicv_linux_20151201.tgz]
      expected hash: [808b791a6eac9ed78d32a7666804320e]
        actual hash: [d41d8cd98f00b204e9800998ecf8427e]
             status: [1;"Unsupported protocol"]

Call Stack (most recent call first):
  3rdparty/ippicv/downloader.cmake:110 (_icv_downloader)
  cmake/OpenCVFindIPP.cmake:237 (include)
  cmake/OpenCVFindLibsPerf.cmake:12 (include)
  CMakeLists.txt:537 (include)


CMake Error at 3rdparty/ippicv/downloader.cmake:77 (message):
  ICV: Failed to download ICV package: ippicv_linux_20151201.tgz.
  Status=1;"Unsupported protocol"
Call Stack (most recent call first):
  3rdparty/ippicv/downloader.cmake:110 (_icv_downloader)
  cmake/OpenCVFindIPP.cmake:237 (include)
  cmake/OpenCVFindLibsPerf.cmake:12 (include)
  CMakeLists.txt:537 (include)

So apparently theres is a hash mismatch. I am guessing this is a CMake thing (perhaps my installation is not correct?). How must I fix this, it can't possibly be that hard to install OpenCV, right?

  • Why not take OpenCV and/or CMake from Ubuntu's package repositories? – David Foerster Apr 2 '17 at 23:22
7

I found the solution in this comment. Basically I just had to manually download the file ippicv_linux_20151201.tgz (from here) and move the zip file to the correct location (/home/ao/opt/opencv/3rdparty/ippicv/downloads/linux-808b791a6eac9ed78d32a7666804320e/).

Then it could compile :)

1

From :

https://stackoverflow.com/questions/32749454/opencv-installation-error-ubuntu-14-04/38054298#38054298

try again with :

 cmake \
 -DOPENCV_ICV_URL="http://downloads.sourceforge.net/project/opencvlibrary/3rdparty/ippicv"
1

or, you could recompile cmake with SSL support, because ultimately THAT is the reason for the "hash mismatch" (status: [1;"Unsupported protocol"])

  • 1
    Welcome to Ask Ubuntu! I recommend to edit this answer to expand it with specific details about how to do this. (See also How do I write a good answer? for general advice about what sorts of answers are considered most valuable on AskUbuntu.) – David Foerster Apr 2 '17 at 23:22
0

You can easily disable IPP option if you are sure you don't want to use this third party utility.

-DWITH_IPP=OFF

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.